Bug 1730068 - TypeError: a bytes-like object is required, not 'str'
Summary: TypeError: a bytes-like object is required, not 'str'
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novajoin-tests-tempest
Version: 15.0 (Stein)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z2
: 15.0 (Stein)
Assignee: Douglas Mendizábal
QA Contact: Pavan
URL:
Whiteboard:
Depends On:
Blocks: 1624486 1624488
TreeView+ depends on / blocked
 
Reported: 2019-07-15 18:36 UTC by Pavan
Modified: 2020-02-19 14:01 UTC (History)
8 users (show)

Fixed In Version: python-novajoin-tests-tempest-0.0.1-0.20190923150420.80dd51a.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 677300 'None' MERGED Fix Python 3 bug in test code 2020-02-17 16:52:02 UTC
OpenStack gerrit 683281 'None' MERGED Add option to set connect_retries 2020-02-17 16:52:02 UTC
OpenStack gerrit 683282 'None' MERGED Add fix for mysql and add a retry 2020-02-17 16:52:02 UTC

Description Pavan 2019-07-15 18:36:19 UTC
Description of problem:
The following novajoin_tempest_plugin tests end up with TypeError: a bytes-like object is required, not 'str'

{2} novajoin_tempest_plugin.tests.scenario.test_tripleo_deployment.TripleOTest.test_overcloud_hosts_are_ipaclients [1.391052s] ... FAILED
{0} novajoin_tempest_plugin.tests.scenario.test_tripleo_tls.TripleOTLSTest.test_haproxy_tls_connections [1.595022s] ... FAILED
{2} novajoin_tempest_plugin.tests.scenario.test_tripleo_deployment.TripleOTest.test_verify_compute_certs_are_tracked [1.499432s] ... FAILED
{2} novajoin_tempest_plugin.tests.scenario.test_tripleo_deployment.TripleOTest.test_verify_controller_certs_are_tracked [1.452935s] ... FAILED

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    b'Traceback (most recent call last):'
    b'  File "/usr/lib/python3.6/site-packages/novajoin_tempest_plugin/tests/scenario/test_tripleo_deployment.py", line 110, in test_verify_controller_certs_are_tracked'
    b'    tag'
    b'  File "/usr/lib/python3.6/site-packages/novajoin_tempest_plugin/tests/scenario/novajoin_manager.py", line 163, in verify_overcloud_cert_tracked'
    b"    self.assertTrue('track: yes' in result)"
    b"TypeError: a bytes-like object is required, not 'str'"
    b''


Version-Release number of selected component (if applicable):
RHOS_TRUNK-15.0-RHEL-8-20190708.n.2

How reproducible:


Steps to Reproduce:
1. Deploy RHOS-15 with 'passed_phase1' or the latest puddle
2. Install 'openstack-tempest-all' and 'python3-novajoin-tests-tempest' packages
3. source /home/stack/overcloudrc
4. On the undercloud /home/stack dir, create workspace for tempest

(undercloud) [stack@undercloud-0 ~]$ tempest init novajoin_tempest
2019-07-15 10:27:23.909 1025847 INFO tempest [-] Using tempest config file /etc/tempest/tempest.conf

5. change directory, cd novajoin_tempest
6. Configure the tempest.conf as per novajoin tempest tests 

discover-tempest-config --out etc/tempest.conf --deployer-input ~/tempest-deployer-input.conf --debug --create identity.uri $OS_AUTH_URL auth.admin_password $OS_PASSWORD auth.admin_username $OS_USERNAME auth.use_dynamic_credentials true network.tenant_network_cidr 172.17.2.0/24 validation.connect_method 'fixed' validation.network_for_ssh 'ctlplane' compute.allow_tenant_isolation 'True' object-storage.operator_role 'swiftoperator' novajoin.tripleo_controllers 'controller-0,controller-1,controller-2' novajoin.tripleo_computes 'compute-0,compute-1' novajoin.tripleo_undercloud 'undercloud-0' novajoin.flavor_tag baremetal image.image_path http://download-node-02.eng.bos.redhat.com/qa/rhts/lookaside/security-dfg/python-novajoin/Fedora-Cloud-Base-29-1.2.x86_64.qcow2 image.http_image http://download-node-02.eng.bos.redhat.com/qa/rhts/lookaside/security-dfg/python-novajoin/Fedora-Cloud-Base-29-1.2.x86_64.qcow2 validation.image_ssh_user fedora

7. execute novajoin tempest tests

(overcloud) [stack@undercloud-0 novajoin]$ tempest run --regex novajoin_tempest_plugin

Actual results:
{2} novajoin_tempest_plugin.tests.scenario.test_tripleo_deployment.TripleOTest.test_overcloud_hosts_are_ipaclients [1.391052s] ... FAILED
{0} novajoin_tempest_plugin.tests.scenario.test_tripleo_tls.TripleOTLSTest.test_haproxy_tls_connections [1.595022s] ... FAILED
{2} novajoin_tempest_plugin.tests.scenario.test_tripleo_deployment.TripleOTest.test_verify_compute_certs_are_tracked [1.499432s] ... FAILED
{2} novajoin_tempest_plugin.tests.scenario.test_tripleo_deployment.TripleOTest.test_verify_controller_certs_are_tracked [1.452935s] ... FAILED

Expected results:
Tests pass/ok

Additional info: 
access the undercloud sos report here: https://drive.google.com/open?id=149fU1k9p52q9khOAWvprgiLxHbE8_T7P

Comment 5 Alex McLeod 2020-02-19 12:48:49 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to '-'.


Note You need to log in before you can comment on or make changes to this bug.